import React from 'react'
import styles from './index.module.scss'
import { useHistory } from 'react-router-dom'
function A4base({ show, setShow }: { show: boolean; setShow: (show: boolean) => void }) {
  const history = useHistory()
  return (
    <div className={styles.A4base} style={{ display: show ? 'block' : 'none' }}>
      <div className='A4base-content'>
        <div className='A4base-title1'>
          <img src={require('./image/title.png')} alt='' />
        </div>
      </div>
      <div
        className='A4base-button'
        onClick={() => {
          setShow(false)
          history.push('/home?m=SG-56imSLC7Zli')
          window.location.reload()
        }}
      >
        <img src={require('./image/button.png')} alt='' />
      </div>
    </div>
  )
}

const MemoA4base = React.memo(A4base)

export default MemoA4base
